#ifndef _H_SENDMESSAGE
#define _H_SENDMESSAGE

#ifdef WIN32
   #ifdef SENDMAIL
      #include "\SimpleSendmail\sendmailSendMessage.h"
   #else
      #include "\SimpleSMTP\smtp.h"
   #endif
#elif defined (AIX) || defined (LINUX)														/* 16/09/2001 */
   #ifdef SENDMAIL
      #include "/home/mqmdvl/SimpleSendmail/sendmailSendMessage.h"
   #else
      #include "/home/mqmdvl/SimpleSMTP/smtp.h"
   #endif
#elif defined (SUN) || defined (HPUX)
   #ifdef SENDMAIL
      #include "SimpleSendmail/sendmailSendMessage.h"
   #else
      #include "SimpleSMTP/smtp.h"
   #endif
#endif


typedef struct sendmessagedate_t
{
   char day[2];
   char month[2];
   char year[4];
   char hour[2];
   char minute[2];
   char sec[2];
} SENDMESSAGEDATE;

char *MonthShortName(int i);

#ifdef SENDMAIL
char *SendEmailMessage( char *SendMailOptParms, 
                        unsigned short Parm1NotUsed,                          /* 27/04/2001 */
                        char *MailFrom, 
                        char *MailTo, 
                        char *MailCc, 
                        char *MailBcc, 
                        char *MailSubject,
                        char *MailDate,
                        char *MailMsgId,
                        char *MailBody,
                        char  MailPriority,                                   /* 13/04/2001 */
                        int  *Reason );
#else
/*@ null @*/char *SendEmailMessage( char *SMTPhost, 
                        unsigned short SMTPport,                              /* 27/04/2001 */
                        char *MailFrom, 
                        char *MailTo, 
                        char *MailCc, 
                        char *MailBcc, 
                        char *MailSubject,
                        char *MailDate,
                        char *MailMsgId,
                        char *MailBody,
                        char  MailPriority,                                   /* 13/04/2001 */
                        int  *Reason );
#endif

#endif

